#ONEWIRE
set_property PACKAGE_PIN AC2 [get_ports onewire]
set_property IOSTANDARD LVCMOS18 [get_ports onewire]

#SFP
set_property PACKAGE_PIN V2 [get_ports sfp_detect]
set_property PACKAGE_PIN V1 [get_ports iic_sfp_scl_io]
set_property PACKAGE_PIN Y2 [get_ports iic_sfp_sda_io]
set_property PACKAGE_PIN W2 [get_ports {sfp_tx_disable[0]}]
set_property PACKAGE_PIN Y1 [get_ports sfp_los_tx_fault]
set_property PACKAGE_PIN AB3 [get_ports {sfp_led_activity[0]}]
set_property PACKAGE_PIN AC1 [get_ports {sfp_led_link[0]}]

set_property IOSTANDARD LVCMOS18 [get_ports sfp_detect]
set_property IOSTANDARD LVCMOS18 [get_ports iic_sfp_scl_io]
set_property IOSTANDARD LVCMOS18 [get_ports iic_sfp_sda_io]
set_property IOSTANDARD LVCMOS18 [get_ports {sfp_tx_disable[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports sfp_los_tx_fault]
set_property IOSTANDARD LVCMOS18 [get_ports {sfp_led_activity[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {sfp_led_link[0]}]

#set_property PACKAGE_PIN H1 [get_ports sfp_rxn]
#set_property IOSTANDARD LVDS [get_ports sfp_rxn]

#OTHERS
set_property PACKAGE_PIN V4 [get_ports pps_in]
set_property PACKAGE_PIN T11 [get_ports {term_en[0]}]
set_property PACKAGE_PIN U4 [get_ports pps_out]
set_property PACKAGE_PIN W1 [get_ports aux_out]
set_property PACKAGE_PIN W5 [get_ports iic_helper_scl_io]
set_property PACKAGE_PIN V3 [get_ports iic_helper_sda_io]
set_property PACKAGE_PIN U5 [get_ports iic_si549_aux_scl_io]
set_property PACKAGE_PIN AC3 [get_ports iic_si549_aux_sda_io]
set_property PACKAGE_PIN M15 [get_ports {dac_cs[0]}]
set_property PACKAGE_PIN M14 [get_ports dac_din]
set_property PACKAGE_PIN P12 [get_ports dac_sclk]

set_property IOSTANDARD LVCMOS18 [get_ports pps_in]
set_property IOSTANDARD LVCMOS18 [get_ports {term_en[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports pps_out]
set_property IOSTANDARD LVCMOS18 [get_ports aux_out]
set_property IOSTANDARD LVCMOS18 [get_ports iic_helper_scl_io]
set_property IOSTANDARD LVCMOS18 [get_ports iic_helper_sda_io]
set_property IOSTANDARD LVCMOS18 [get_ports iic_si549_aux_scl_io]
set_property IOSTANDARD LVCMOS18 [get_ports iic_si549_aux_sda_io]
set_property IOSTANDARD LVCMOS18 [get_ports {dac_cs[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports dac_din]
set_property IOSTANDARD LVCMOS18 [get_ports dac_sclk]


set_property PACKAGE_PIN L13 [get_ports {hmc_sync_p[0]}]
set_property PACKAGE_PIN K13 [get_ports {hmc_sync_n[0]}]
set_property PACKAGE_PIN AA12 [get_ports hmc_sdata]
set_property PACKAGE_PIN V6 [get_ports hmc_slen]
set_property PACKAGE_PIN V7 [get_ports hmc_sclk]
set_property PACKAGE_PIN N13 [get_ports {hmc_reset[0]}]
set_property PACKAGE_PIN Y10 [get_ports hmc_gpio1]
set_property PACKAGE_PIN L16 [get_ports hmc_gpio2]
set_property PACKAGE_PIN K16 [get_ports hmc_gpio3]
set_property PACKAGE_PIN M13 [get_ports hmc_gpio4]

set_property IOSTANDARD LVDS [get_ports {hmc_sync_p[0]}]
set_property IOSTANDARD LVDS [get_ports {hmc_sync_n[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports hmc_sdata]
set_property IOSTANDARD LVCMOS18 [get_ports hmc_slen]
set_property IOSTANDARD LVCMOS18 [get_ports hmc_sclk]
set_property IOSTANDARD LVCMOS18 [get_ports {hmc_reset[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports hmc_gpio1]
set_property IOSTANDARD LVCMOS18 [get_ports hmc_gpio2]
set_property IOSTANDARD LVCMOS18 [get_ports hmc_gpio3]
set_property IOSTANDARD LVCMOS18 [get_ports hmc_gpio4]

set_property PACKAGE_PIN AA7 [get_ports ref_clk_p]
set_property PACKAGE_PIN AA6 [get_ports ref_clk_n]
set_property PACKAGE_PIN T8 [get_ports wr_clk_p]
set_property PACKAGE_PIN R8 [get_ports wr_clk_n]
set_property PACKAGE_PIN L7 [get_ports mgt_clk2_n]
set_property PACKAGE_PIN L8 [get_ports mgt_clk2_p]
set_property PACKAGE_PIN G7 [get_ports mgt_clk1_n]
set_property PACKAGE_PIN G8 [get_ports mgt_clk1_p]
set_property PACKAGE_PIN AB6 [get_ports ext_gm_fpga_p]
set_property PACKAGE_PIN AB5 [get_ports ext_gm_fpga_n]

set_property IOSTANDARD LVDS [get_ports ref_clk_p]
set_property IOSTANDARD LVDS [get_ports ref_clk_n]
set_property IOSTANDARD LVDS [get_ports wr_clk_p]
set_property IOSTANDARD LVDS [get_ports wr_clk_n]
#set_property IOSTANDARD LVDS [get_ports mgt_clk2_p]
#set_property IOSTANDARD LVDS [get_ports mgt_clk2_n]
#set_property IOSTANDARD LVDS [get_ports mgt_clk1_p]
#set_property IOSTANDARD LVDS [get_ports mgt_clk1_n]
set_property IOSTANDARD LVDS [get_ports ext_gm_fpga_p]
set_property IOSTANDARD LVDS [get_ports ext_gm_fpga_n]
set_property CLOCK_DEDICATED_ROUTE FALSE [get_nets {fmc_support_i/util_ds_buf_4/U0/USE_IBUFDS.GEN_IBUFDS[0].IBUFDS_I/O}]


set_property PACKAGE_PIN AC8 [get_ports {pll_gm_csb[0]}]
set_property PACKAGE_PIN AC6 [get_ports pll_gm_sdi]
set_property PACKAGE_PIN W4 [get_ports pll_gm_sck]
set_property PACKAGE_PIN AA2 [get_ports {pll_gm_sync_p[0]}]
set_property PACKAGE_PIN AA1 [get_ports {pll_gm_sync_n[0]}]
set_property PACKAGE_PIN AB8 [get_ports {pll_gm_rampdir[0]}]
set_property PACKAGE_PIN W6 [get_ports pll_gm_rampclk]
set_property PACKAGE_PIN W7 [get_ports pll_gm_muxout]
set_property PACKAGE_PIN AC7 [get_ports {pll_gm_sysrefreq[0]}]
set_property PACKAGE_PIN P11 [get_ports lmx_gm_clk_p]
set_property PACKAGE_PIN N11 [get_ports lmx_gm_clk_n]

set_property IOSTANDARD LVCMOS18 [get_ports {pll_gm_csb[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports pll_gm_sdi]
set_property IOSTANDARD LVCMOS18 [get_ports pll_gm_sck]
set_property IOSTANDARD LVDS [get_ports {pll_gm_sync_p[0]}]
set_property IOSTANDARD LVDS [get_ports {pll_gm_sync_n[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {pll_gm_rampdir[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports pll_gm_rampclk]
set_property IOSTANDARD LVCMOS18 [get_ports pll_gm_muxout]
set_property IOSTANDARD LVCMOS18 [get_ports {pll_gm_sysrefreq[0]}]
set_property IOSTANDARD LVDS [get_ports lmx_gm_clk_p]
set_property IOSTANDARD LVDS [get_ports lmx_gm_clk_n]

set_property PACKAGE_PIN G21 [get_ports clk_125_p]
set_property PACKAGE_PIN F21 [get_ports clk_125_n]
set_property IOSTANDARD LVDS_25 [get_ports clk_125_p]
set_property IOSTANDARD LVDS_25 [get_ports clk_125_n]

set_property PACKAGE_PIN AL8 [get_ports clk_300_p]
set_property PACKAGE_PIN AL7 [get_ports clk_300_n]
set_property IOSTANDARD DIFF_SSTL12 [get_ports clk_300_p]
set_property IOSTANDARD DIFF_SSTL12 [get_ports clk_300_n]

set_property PACKAGE_PIN V11 [get_ports {enable[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {enable[0]}]

set_property PACKAGE_PIN N9 [get_ports SI549_aux_p]
set_property PACKAGE_PIN N8 [get_ports SI549_aux_n]
set_property IOSTANDARD LVDS [get_ports SI549_aux_p]
set_property IOSTANDARD LVDS [get_ports SI549_aux_n]

set_property PACKAGE_PIN Y4 [get_ports helper_1_p]
set_property PACKAGE_PIN Y3 [get_ports helper_1_n]
set_property IOSTANDARD LVDS [get_ports helper_1_p]
set_property IOSTANDARD LVDS [get_ports helper_1_n]

set_property PACKAGE_PIN A20 [get_ports {PMOD0_0[0]}]
set_property PACKAGE_PIN B20 [get_ports {PMOD0_1[0]}]
set_property PACKAGE_PIN A22 [get_ports {PMOD0_2[0]}]
set_property PACKAGE_PIN A21 [get_ports {PMOD0_3[0]}]
set_property PACKAGE_PIN B21 [get_ports {PMOD0_4[0]}]
set_property PACKAGE_PIN C21 [get_ports {PMOD0_5[0]}]
set_property PACKAGE_PIN C22 [get_ports {PMOD0_6[0]}]
set_property PACKAGE_PIN D21 [get_ports {PMOD0_7[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {PMOD0_0[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {PMOD0_1[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {PMOD0_2[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {PMOD0_3[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {PMOD0_4[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {PMOD0_5[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {PMOD0_6[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {PMOD0_7[0]}]

set_property CLOCK_DEDICATED_ROUTE FALSE [get_nets {fmc_support_i/util_ds_buf_5/U0/USE_IBUFDS.GEN_IBUFDS[0].IBUFDS_I/O}]