# Definitional proc to organize widgets for parameters.
proc init_gui { IPINST } {
  ipgui::add_param $IPINST -name "Component_Name"
  #Adding Page
  set Page_0 [ipgui::add_page $IPINST -name "Page 0"]
  ipgui::add_param $IPINST -name "C_S_AXI_ADDR_WIDTH" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_S_AXI_DATA_WIDTH" -parent ${Page_0}
  ipgui::add_param $IPINST -name "g_num_cs_select" -parent ${Page_0}
  ipgui::add_param $IPINST -name "g_num_data_bits" -parent ${Page_0}
  ipgui::add_param $IPINST -name "g_num_extra_bits" -parent ${Page_0}


}

proc update_PARAM_VALUE.C_S_AXI_ADDR_WIDTH { PARAM_VALUE.C_S_AXI_ADDR_WIDTH } {
	# Procedure called to update C_S_AXI_ADDR_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S_AXI_ADDR_WIDTH { PARAM_VALUE.C_S_AXI_ADDR_WIDTH } {
	# Procedure called to validate C_S_AXI_ADDR_WIDTH
	return true
}

proc update_PARAM_VALUE.C_S_AXI_DATA_WIDTH { PARAM_VALUE.C_S_AXI_DATA_WIDTH } {
	# Procedure called to update C_S_AXI_DATA_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S_AXI_DATA_WIDTH { PARAM_VALUE.C_S_AXI_DATA_WIDTH } {
	# Procedure called to validate C_S_AXI_DATA_WIDTH
	return true
}

proc update_PARAM_VALUE.g_num_cs_select { PARAM_VALUE.g_num_cs_select } {
	# Procedure called to update g_num_cs_select when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.g_num_cs_select { PARAM_VALUE.g_num_cs_select } {
	# Procedure called to validate g_num_cs_select
	return true
}

proc update_PARAM_VALUE.g_num_data_bits { PARAM_VALUE.g_num_data_bits } {
	# Procedure called to update g_num_data_bits when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.g_num_data_bits { PARAM_VALUE.g_num_data_bits } {
	# Procedure called to validate g_num_data_bits
	return true
}

proc update_PARAM_VALUE.g_num_extra_bits { PARAM_VALUE.g_num_extra_bits } {
	# Procedure called to update g_num_extra_bits when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.g_num_extra_bits { PARAM_VALUE.g_num_extra_bits } {
	# Procedure called to validate g_num_extra_bits
	return true
}


proc update_MODELPARAM_VALUE.g_num_data_bits { MODELPARAM_VALUE.g_num_data_bits PARAM_VALUE.g_num_data_bits } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.g_num_data_bits}] ${MODELPARAM_VALUE.g_num_data_bits}
}

proc update_MODELPARAM_VALUE.g_num_extra_bits { MODELPARAM_VALUE.g_num_extra_bits PARAM_VALUE.g_num_extra_bits } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.g_num_extra_bits}] ${MODELPARAM_VALUE.g_num_extra_bits}
}

proc update_MODELPARAM_VALUE.g_num_cs_select { MODELPARAM_VALUE.g_num_cs_select PARAM_VALUE.g_num_cs_select } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.g_num_cs_select}] ${MODELPARAM_VALUE.g_num_cs_select}
}

proc update_MODELPARAM_VALUE.C_S_AXI_DATA_WIDTH { MODELPARAM_VALUE.C_S_AXI_DATA_WIDTH PARAM_VALUE.C_S_AXI_DATA_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_S_AXI_DATA_WIDTH}] ${MODELPARAM_VALUE.C_S_AXI_DATA_WIDTH}
}

proc update_MODELPARAM_VALUE.C_S_AXI_ADDR_WIDTH { MODELPARAM_VALUE.C_S_AXI_ADDR_WIDTH PARAM_VALUE.C_S_AXI_ADDR_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_S_AXI_ADDR_WIDTH}] ${MODELPARAM_VALUE.C_S_AXI_ADDR_WIDTH}
}

