# Definitional proc to organize widgets for parameters.
proc init_gui { IPINST } {
  ipgui::add_param $IPINST -name "Component_Name"
  #Adding Page
  set Page_0 [ipgui::add_page $IPINST -name "Page 0"]
  ipgui::add_param $IPINST -name "freq_hz" -parent ${Page_0}
  ipgui::add_param $IPINST -name "pps_width" -parent ${Page_0}


}

proc update_PARAM_VALUE.freq_hz { PARAM_VALUE.freq_hz } {
	# Procedure called to update freq_hz when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.freq_hz { PARAM_VALUE.freq_hz } {
	# Procedure called to validate freq_hz
	return true
}

proc update_PARAM_VALUE.pps_width { PARAM_VALUE.pps_width } {
	# Procedure called to update pps_width when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.pps_width { PARAM_VALUE.pps_width } {
	# Procedure called to validate pps_width
	return true
}


proc update_MODELPARAM_VALUE.freq_hz { MODELPARAM_VALUE.freq_hz PARAM_VALUE.freq_hz } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.freq_hz}] ${MODELPARAM_VALUE.freq_hz}
}

proc update_MODELPARAM_VALUE.pps_width { MODELPARAM_VALUE.pps_width PARAM_VALUE.pps_width } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.pps_width}] ${MODELPARAM_VALUE.pps_width}
}

